SystemOrganization addCategory: #MOOCContactBook!
SystemOrganization addCategory: 'MOOCContactBook-Tests'!

TestCase subclass: #MOOCContactTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MOOCContactBook-Tests'!

!MOOCContactTest commentStamp: 'RichardMyatt 7/25/2017 15:34' prior: 0!
A class to hold the tests for our contact application.  Taken from the Pharo MOOC.!

!MOOCContactTest methodsFor: 'tests' stamp: 'RichardMyatt 7/25/2017 15:37'!
testCreation
	"test the creation of a contact"

	| contact |
	contact := Contact newNamed: 'Marcus Denker' email: 'marcus.denker@intia.fr'.
	self assert: contact fullname = 'Marcus Denker'.
	self assert: contact email = 'marcus.denker@intia.fr'.! !

Object subclass: #MOOCContact
	instanceVariableNames: 'fullname email'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MOOCContactBook'!

!MOOCContact commentStamp: 'RichardMyatt 7/25/2017 15:25' prior: 0!
An example taken from the Pharo MOOC.!

!MOOCContact class methodsFor: 'instance creation' stamp: 'RichardMyatt 7/25/2017 15:29'!
newNamed: aNameString email: anEmailString
	"Create a new contact instance with a name and email"

	self new 
			fullname: aNameString;
			email: anEmailString;
			yourself! !
